Only in svn/themes/ProjectGrayhem-wide/: .svn
Binary files svn/themes/ProjectGrayhem-wide/button_off.png and /usr/share/mythtv/themes/ProjectGrayhem-wide/button_off.png differ
Binary files svn/themes/ProjectGrayhem-wide/button_on.png and /usr/share/mythtv/themes/ProjectGrayhem-wide/button_on.png differ
Binary files svn/themes/ProjectGrayhem-wide/button_on_blue.png and /usr/share/mythtv/themes/ProjectGrayhem-wide/button_on_blue.png differ
Binary files svn/themes/ProjectGrayhem-wide/button_on_green.png and /usr/share/mythtv/themes/ProjectGrayhem-wide/button_on_green.png differ
Binary files svn/themes/ProjectGrayhem-wide/button_on_red.png and /usr/share/mythtv/themes/ProjectGrayhem-wide/button_on_red.png differ
Common subdirectories: svn/themes/ProjectGrayhem-wide/conflicts and /usr/share/mythtv/themes/ProjectGrayhem-wide/conflicts
Common subdirectories: svn/themes/ProjectGrayhem-wide/music and /usr/share/mythtv/themes/ProjectGrayhem-wide/music
diff -u svn/themes/ProjectGrayhem-wide/music-ui.xml /usr/share/mythtv/themes/ProjectGrayhem-wide/music-ui.xml
--- svn/themes/ProjectGrayhem-wide/music-ui.xml	2008-06-21 00:26:07.226626489 -0500
+++ /usr/share/mythtv/themes/ProjectGrayhem-wide/music-ui.xml	2008-06-21 14:10:42.000000000 -0500
@@ -124,7 +124,7 @@
         <font name="infotext2" face="Bitstream Vera Sans">
             <color>#cccccc</color>
             <size>16</size>
-            <bold>yes</bold>
+            <bold>no</bold>
         </font>
 
         <font name="buttons" face="Bitstream Vera Sans">
@@ -279,9 +279,9 @@
                 <orientation>LeftToRight</orientation>
             </repeatedimage>
 
-            <textarea name="current_visualization_text" draworder="1" align="left">
+            <textarea name="current_visualization_text" draworder="1" align="center">
                 <font>infotext2</font>
-                <area>950,85,230,35</area>
+                <area>895,150,260,35</area>
                 <cutdown>no</cutdown>
             </textarea>
 
@@ -291,12 +291,12 @@
             </textarea>
 
             <textarea name="time_text" draworder="1" align="center">
-                <font>infotext2</font>
+                <font>infotext</font>
                 <area>320,105,365,25</area>
             </textarea>
 
             <blackhole name="visual_blackhole">
-                <area>950,10,150,150</area>
+                <area>950,2,150,150</area>
             </blackhole>
 
         </container>
@@ -670,7 +670,7 @@
         popup mini player and must be present 
     --> 
     <container name="player_container"> 
-        <area>0,0,800,95</area> 
+        <area>0,610,1280,110</area> 
     <!--    <image name="track_info_background" draworder="0" fleximage="no"> 
             <filename>music/miniplayer_background.png</filename> 
             <position>10,10</position> 
@@ -685,19 +685,19 @@
     -->    
         <textarea name="title_text" draworder="1" align="left"> 
             <font>currenttitle</font> 
-            <area>140,15,415,34</area> 
+            <area>140,15,1100,34</area> 
             <cutdown>yes</cutdown> 
         </textarea> 
         
         <textarea name="artist_text" draworder="1" align="left"> 
             <font>currentartist</font> 
-            <area>140,40,415,25</area> 
+            <area>140,40,1100,25</area> 
             <cutdown>yes</cutdown> 
         </textarea> 
         
         <textarea name="album_text" draworder="1" align="left"> 
             <font>currentartist</font> 
-            <area>140,55,415,25</area> 
+            <area>140,55,1100,25</area> 
             <cutdown>yes</cutdown> 
         </textarea> 
 <!--                
Common subdirectories: svn/themes/ProjectGrayhem-wide/priorities and /usr/share/mythtv/themes/ProjectGrayhem-wide/priorities
Common subdirectories: svn/themes/ProjectGrayhem-wide/programfind and /usr/share/mythtv/themes/ProjectGrayhem-wide/programfind
Common subdirectories: svn/themes/ProjectGrayhem-wide/programguide and /usr/share/mythtv/themes/ProjectGrayhem-wide/programguide
Common subdirectories: svn/themes/ProjectGrayhem-wide/recordoptions and /usr/share/mythtv/themes/ProjectGrayhem-wide/recordoptions
Common subdirectories: svn/themes/ProjectGrayhem-wide/shared and /usr/share/mythtv/themes/ProjectGrayhem-wide/shared
Common subdirectories: svn/themes/ProjectGrayhem-wide/status and /usr/share/mythtv/themes/ProjectGrayhem-wide/status
diff -u svn/themes/ProjectGrayhem-wide/theme.xml /usr/share/mythtv/themes/ProjectGrayhem-wide/theme.xml
--- svn/themes/ProjectGrayhem-wide/theme.xml	2008-06-21 00:26:07.286162698 -0500
+++ /usr/share/mythtv/themes/ProjectGrayhem-wide/theme.xml	2008-06-21 12:32:42.000000000 -0500
@@ -1,7 +1,7 @@
 <myththeme>
 
   <background style="normal">
-    <buttonarea>80,120,390,480</buttonarea>
+    <buttonarea>80,120,640,480</buttonarea>
     <buttonspread>no</buttonspread>
     <visiblerowlimit>8</visiblerowlimit>
     <columns>1</columns>
Common subdirectories: svn/themes/ProjectGrayhem-wide/title and /usr/share/mythtv/themes/ProjectGrayhem-wide/title
Common subdirectories: svn/themes/ProjectGrayhem-wide/tvplayback and /usr/share/mythtv/themes/ProjectGrayhem-wide/tvplayback
Common subdirectories: svn/themes/ProjectGrayhem-wide/type and /usr/share/mythtv/themes/ProjectGrayhem-wide/type
diff -u svn/themes/ProjectGrayhem-wide/ui.xml /usr/share/mythtv/themes/ProjectGrayhem-wide/ui.xml
--- svn/themes/ProjectGrayhem-wide/ui.xml	2008-06-21 00:26:07.363896621 -0500
+++ /usr/share/mythtv/themes/ProjectGrayhem-wide/ui.xml	2008-06-21 13:01:44.000000000 -0500
@@ -1528,7 +1528,7 @@
     </font>
 
     <font name="inactive" face="Bitstream Vera Sans">
-      <color>#aaaaaa</color>
+      <color>#3A3A3A</color>
       <size>15</size>
       <size:big>20</size:big>
       <size:small>13</size:small>
@@ -1628,7 +1628,7 @@
     <container name="selector">
       <area>20,60,1280,400</area>
       <listarea name="toptitles" draworder="2">
-        <area>20,20,375,170</area>
+        <area>20,20,350,170</area>
         <fcnfont name="active" function="active"></fcnfont>
         <fcnfont name="activesel" function="selected"></fcnfont>
         <fcnfont name="inactive" function="inactive"></fcnfont>
Common subdirectories: svn/themes/ProjectGrayhem-wide/video and /usr/share/mythtv/themes/ProjectGrayhem-wide/video
diff -u svn/themes/ProjectGrayhem-wide/video-ui.xml /usr/share/mythtv/themes/ProjectGrayhem-wide/video-ui.xml
--- svn/themes/ProjectGrayhem-wide/video-ui.xml	2008-06-21 00:26:07.181897364 -0500
+++ /usr/share/mythtv/themes/ProjectGrayhem-wide/video-ui.xml	2008-06-21 13:18:31.000000000 -0500
@@ -755,19 +755,19 @@
   <window name="videotree">
 
         <font name="active" face="Vera">
-            <color>#ffffff</color>
+            <color>#8cdeff</color>
             <size>18</size>
             <bold>no</bold>
         </font>
         
         <font name="inactive" face="Vera">
-            <color>#9999cc</color>
+            <color>#3a3a3a</color>
             <size>18</size>
             <bold>no</bold>
         </font>
         
         <font name="selectable" face="Vera">
-            <color>#8cdeff</color>
+            <color>#ffffff</color>
             <size>18</size>
             <bold>no</bold>
         </font>
@@ -808,7 +808,7 @@
         </container>
 
         <container name="videoselector">
-            <area>0,10,1280,410</area>
+            <area>0,10,1280,415</area>
      <!--           <image name="titlelines" draworder="1" fleximage="no">
                   <filename>tvplayback/tv-lbox.png</filename>
                   <position>-2,15</position>
@@ -822,14 +822,14 @@
                 <image function="leftarrow" filename="shared/mv_left_arrow.png" location="0,-5"></image>
                 <image function="rightarrow" filename="shared/mv_right_arrow.png" location="-10,-2"></image>
                 <bin number="1">
-                    <area>20,10,300,400</area>
+                    <area>20,10,400,400</area>
                     <fcnfont name="active" function="active"></fcnfont>
                     <fcnfont name="inactive" function="inactive"></fcnfont>
                     <fcnfont name="active" function="selected"></fcnfont>
                     <fcnfont name="selectable" function="selectable"></fcnfont>
                 </bin>
                 <bin number="2">
-                    <area>310,7,820,400</area>
+                    <area>420,7,860,400</area>
                     <fcnfont name="active" function="active"></fcnfont>
                     <fcnfont name="active" function="selected"></fcnfont>
                     <fcnfont name="inactive" function="inactive"></fcnfont>
@@ -842,27 +842,27 @@
         <container name="videoinfo">
             <area>0,470,1280,230</area>
             <textarea name="video_title" draworder="4">
-                <area>40,0,930,60</area>
+                <area>40,0,950,60</area>
                 <font>largetitle</font>
             </textarea>
 
             <textarea name="video_file" draworder="4">
-                <area>300,140,500,40</area>
+                <area>90,140,900,40</area>
                 <font>infofont</font>
             </textarea>
 
             <textarea name="file_label" draworder="4" align="left">
-                <area>250,140,90,40</area>
+                <area>40,140,90,40</area>
                 <font>labelfont</font>
                 <value>File:</value>
             </textarea>
             <textarea name="player_label" draworder="4" align="left">
-                <area>40,170,90,40</area>
+                <area>40,200,90,40</area>
                 <font>labelfont</font>
                 <value>Player:</value>
             </textarea>
             <textarea name="video_player" draworder="4">
-                <area>130,170,500,40</area>
+                <area>130,200,900,40</area>
                 <font>infofont</font>
             </textarea>
 
@@ -871,12 +871,12 @@
                 <staticsize>140,220</staticsize>
             </image>
             <textarea name="pl_label" draworder="4" align="left">
-                <area>40,140,190,40</area>
+                <area>40,170,190,40</area>
                 <font>labelfont</font>
                 <value>Parental Level: </value>
             </textarea>
             <textarea name="pl_value" draworder="4" align="right">
-                <area>40,140,180,40</area>
+                <area>40,170,190,40</area>
                 <font>infofont</font>
                 <value>1</value>
             </textarea>
@@ -1075,7 +1075,7 @@
             </textarea>
 
             <textarea name="player_text" draworder="0" align="right">
-                <area>20,445,285,40</area>
+                <area>15,445,285,40</area>
                 <font>display</font>
                 <value>Unique Player Command:</value>
             </textarea>
Common subdirectories: svn/themes/ProjectGrayhem-wide/watermark and /usr/share/mythtv/themes/ProjectGrayhem-wide/watermark
Common subdirectories: svn/themes/ProjectGrayhem-wide/weather and /usr/share/mythtv/themes/ProjectGrayhem-wide/weather