Index: mythbrowser_sv.ts
===================================================================
--- mythbrowser_sv.ts	(revision 18174)
+++ mythbrowser_sv.ts	(arbetskopia)
@@ -1,9 +1,7 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS>
 <context>
     <name>Bookmarks</name>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="504"/>
         <source>MythBrowser: Select group or single site to view</source>
         <translation>MythBrowser: Välj grupp eller enstaka sida att se</translation>
     </message>
@@ -11,54 +9,44 @@
 <context>
     <name>BookmarksConfig</name>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="245"/>
         <source>MythBrowser Bookmarks Settings</source>
         <translation>MythBrowser bokmärkesinställningar</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="256"/>
         <source>Press the &apos;New Bookmark&apos; button to add a new site/group.
 Pressing SPACE/Enter on a selected entry removes it from the listview.</source>
         <translation>Tryck på knappen &apos;Nytt bokmärke&apos; för att lägga till en ny sida/grupp.
 Ett tryck på Mellanslag/Enter på en markerad post tar bort den från listvisaren.</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="277"/>
         <source>Zoom [%]:</source>
         <translation>Zoom [%]:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="290"/>
         <source>Browser:</source>
         <translation>Webbläsare:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="304"/>
         <source>Hide Scrollbars</source>
         <translation>Dölj rullningslister</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="311"/>
         <source>Scroll Page</source>
         <translation>Rulla sida</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="317"/>
         <source>Scroll Speed:</source>
         <translation>Rullningshastighet:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="332"/>
         <source>&amp;New Bookmark</source>
         <translation>&amp;Nytt bokmärke</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="339"/>
         <source>Add a new Website</source>
         <translation>Lägg till en ny webbsida</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="345"/>
         <source>&amp;Finish</source>
         <translation>&amp;Avsluta</translation>
     </message>
@@ -66,80 +54,65 @@
 <context>
     <name>MythBrowser</name>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="339"/>
         <source>Enter URL</source>
-        <translation type="unfinished">Skriv in adress</translation>
+        <translation>Skriv in adress</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="226"/>
         <source>Loading...</source>
-        <translation type="unfinished"></translation>
+        <translation>Laddar...</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="328"/>
         <source>Actions</source>
-        <translation type="unfinished"></translation>
+        <translation>Åtgärd</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="342"/>
         <source>Back</source>
-        <translation type="unfinished">Bakåt</translation>
+        <translation>Bakåt</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="345"/>
         <source>Forward</source>
-        <translation type="unfinished"></translation>
+        <translation>Framåt</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="347"/>
         <source>Zoom In</source>
-        <translation type="unfinished">Zooma in</translation>
+        <translation>Zooma in</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="348"/>
         <source>Zoom Out</source>
-        <translation type="unfinished">Zooma ut</translation>
+        <translation>Zooma ut</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="349"/>
         <source>New Tab</source>
-        <translation type="unfinished"></translation>
+        <translation>Ny tab</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="352"/>
         <source>Delete Tab</source>
-        <translation type="unfinished"></translation>
+        <translation>Radera tab</translation>
     </message>
     <message>
-        <location filename="../mythbrowser/mythbrowser.cpp" line="354"/>
         <source>Cancel</source>
-        <translation type="unfinished">Avbryt</translation>
+        <translation>Avbryt</translation>
     </message>
 </context>
 <context>
     <name>PopupBox</name>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="93"/>
         <source>Add New Website</source>
         <translation>Lägg till ny webbsida</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="96"/>
         <source>Group:</source>
         <translation>Grupp:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="100"/>
         <source>Description:</source>
         <translation>Beskrivning:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="104"/>
         <source>URL:</source>
         <translation>URL:</translation>
     </message>
     <message>
-        <location filename="../mythbookmarkmanager/bookmarkmanager.cpp" line="112"/>
         <source>&amp;Ok</source>
         <translation>&amp;Ok</translation>
     </message>
@@ -147,77 +120,62 @@
 <context>
     <name>TabView</name>
     <message>
-        <location filename="" line="0"/>
         <source>MythBrowser Menu</source>
         <translation type="obsolete">MythBrowser-meny</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Save Link in Bookmarks</source>
         <translation type="obsolete">Spara länk i bokmärken</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Enter URL</source>
         <translation type="obsolete">Skriv in adress</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Back</source>
         <translation type="obsolete">Bakåt</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Next Tab</source>
         <translation type="obsolete">Nästa flik</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Prev Tab</source>
         <translation type="obsolete">Föregående flik</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Remove Tab</source>
         <translation type="obsolete">Ta bort flik</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Zoom Out</source>
         <translation type="obsolete">Zooma ut</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Zoom In</source>
         <translation type="obsolete">Zooma in</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Add New Bookmark</source>
         <translation type="obsolete">Lägg till nytt bokmärke</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Group:</source>
         <translation type="obsolete">Grupp:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Description:</source>
         <translation type="obsolete">Beskrivning:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>URL:</source>
         <translation type="obsolete">URL:</translation>
     </message>
@@ -225,9 +183,8 @@
 <context>
     <name>WebPage</name>
     <message>
-        <location filename="../mythbrowser/webpage.cpp" line="131"/>
         <source>Loading...</source>
-        <translation type="unfinished"></translation>
+        <translation>Laddar...</translation>
     </message>
 </context>
 </TS>