Index: mythcontrols_sv.ts
===================================================================
--- mythcontrols_sv.ts	(revision 18174)
+++ mythcontrols_sv.ts	(arbetskopia)
@@ -3,17 +3,17 @@
 <context>
     <name>ActionMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Modify Action</source>
         <translation type="obsolete">Ändra åtgärd</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Set Binding</source>
         <translation type="obsolete">Sätt association</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Remove Binding</source>
         <translation type="obsolete">Ta bort association</translation>
     </message>
@@ -21,7 +21,7 @@
 <context>
     <name>ConfirmMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Confirm</source>
         <translation type="obsolete">Bekräfta</translation>
     </message>
@@ -29,22 +29,22 @@
 <context>
     <name>InvalidBindingPopup</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Manditory Action</source>
         <translation type="obsolete">Obligatorisk åtgärd</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>This action is manditory and needs at least one key bound to it. Instead, try rebinding with another key.</source>
         <translation type="obsolete">Denna åtgärd är obligatorisk och kräver minst en bunden tangent. Försök ändra bindingen för en annan tangent i stället.</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Conflicting Binding</source>
         <translation type="obsolete">Bindningskonflikt</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>This key binding conflicts with %1 in the %2 context</source>
         <translation type="obsolete">Denna tangentbindning krockar med %1 i kontext %2</translation>
     </message>
@@ -52,188 +52,188 @@
 <context>
     <name>KeyGrabPopupBox</name>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="79"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="102"/>
         <source>Pressed key not recognized</source>
         <translation>Knapp inte igenkänd</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="84"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="107"/>
         <source>Add key &apos;%1&apos;?</source>
         <translation>Lägg till knapp &apos;%1&apos;?</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="26"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="44"/>
         <source>Press A Key</source>
         <translation>Tryck på en tangent</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="26"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="44"/>
         <source>Waiting for key press</source>
         <translation>Väntar på tangenttryckning</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="29"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="47"/>
         <source>Ok</source>
-        <translation type="unfinished"></translation>
+        <translation>ok</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="30"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="48"/>
         <source>Cancel</source>
-        <translation type="unfinished">Avbryt</translation>
+        <translation>Avbryt</translation>
     </message>
 </context>
 <context>
     <name>MythControls</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Binding comes from %1 context</source>
         <translation type="obsolete">Bindning kommer från %1 kontext</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Delete this key binding from context %1?</source>
         <translation type="obsolete">Ta bort denna tangentbindning från kontext %1?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Delete this binding?</source>
         <translation type="obsolete">Ta bort denna bindning?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Contexts</source>
         <translation type="obsolete">Kontexter</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Keys</source>
         <translation type="obsolete">Tangenter</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Actions</source>
         <translation type="obsolete">Åtgärder</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>This kebinding may conflict with %1 in the %2 context. Do you want to bind it anyways?</source>
         <translation type="obsolete">Denna tangentbindning kan krocka med %1 i kontext %2. Vill du skapa denna bindning ändå?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Conflict Warning</source>
         <translation type="obsolete">Konfliktvarning</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="654"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="649"/>
         <source>Bind Key</source>
         <translation>Bind tangent</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="290"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="292"/>
         <source>Change View</source>
-        <translation type="unfinished"></translation>
+        <translation>Ändra synpunkt</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="251"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="253"/>
         <source>Actions By Context</source>
-        <translation type="unfinished"></translation>
+        <translation>Händelser enligt sammanhang</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="252"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="254"/>
         <source>Contexts By Key</source>
-        <translation type="unfinished"></translation>
+        <translation>Sammanhang enligt nyckel</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="253"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="255"/>
         <source>Keys By Context</source>
-        <translation type="unfinished"></translation>
+        <translation>nycklar enligt sammanhang</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="653"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="648"/>
         <source>Cancel</source>
-        <translation type="unfinished">Avbryt</translation>
+        <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="276"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="278"/>
         <source>Options</source>
-        <translation type="unfinished">Inställningar</translation>
+        <translation>Inställningar</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="289"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="291"/>
         <source>Save</source>
-        <translation type="unfinished">Spara</translation>
+        <translation>Spara</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="214"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="216"/>
         <source>Modify Action</source>
-        <translation type="unfinished">Ändra åtgärd</translation>
+        <translation>Ändra åtgärd</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="227"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="229"/>
         <source>Set Binding</source>
-        <translation type="unfinished">Sätt association</translation>
+        <translation>Sätt association</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="228"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="230"/>
         <source>Remove Binding</source>
-        <translation type="unfinished">Ta bort association</translation>
+        <translation>Ta bort association</translation>
     </message>
     <message>
         <location filename="../mythcontrols/mythcontrols.cpp" line="303"/>
         <source>Exiting, but there are unsaved changes.Which would you prefer?</source>
-        <translation type="unfinished"></translation>
+        <translation>Spännande, men där finns osparade ändringar.Vad föredrar du?</translation>
     </message>
     <message>
         <location filename="../mythcontrols/mythcontrols.cpp" line="316"/>
         <source>Save then Exit</source>
-        <translation type="unfinished"></translation>
+        <translation>Spara sedan gå bort</translation>
     </message>
     <message>
         <location filename="../mythcontrols/mythcontrols.cpp" line="317"/>
         <source>Exit without saving changes</source>
-        <translation type="unfinished"></translation>
+        <translation>Gå bort utan att spara ändringar</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Manditory Action</source>
         <translation type="obsolete">Obligatorisk åtgärd</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="602"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="597"/>
         <source>This action is manditory and needs at least one key bound to it. Instead, try rebinding with another key.</source>
-        <translation type="unfinished">Denna åtgärd är obligatorisk och kräver minst en bunden tangent. Försök ändra bindingen för en annan tangent i stället.</translation>
+        <translation>Denna åtgärd är obligatorisk och kräver minst en bunden tangent. Försök ändra bindingen för en annan tangent i stället.</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="629"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="624"/>
         <source>This key binding conflicts with %1 in the %2 context.</source>
-        <translation type="unfinished"></translation>
+        <translation>Denhär nyckeln binder konflikter med %1 i %2 sammanhang.</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Conflicting Binding</source>
         <translation type="obsolete">Bindningskonflikt</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="649"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="644"/>
         <source>Ok</source>
-        <translation type="unfinished"></translation>
+        <translation>ok</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="632"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="627"/>
         <source> Unable to bind key.</source>
-        <translation type="unfinished"></translation>
+        <translation>Oförmögen att binda nyckel.</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="634"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="629"/>
         <source> Do you want to bind it anyway?</source>
-        <translation type="unfinished"></translation>
+        <translation>Vill du binda ihop ändå?</translation>
     </message>
 </context>
 <context>
     <name>OptionsMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Options</source>
         <translation type="obsolete">Inställningar</translation>
     </message>
@@ -241,37 +241,37 @@
 <context>
     <name>QObject</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Theme Error</source>
         <translation type="obsolete">Temafel</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Could not load the keybinding plugin&apos;s theme. See console for details.</source>
         <translation type="obsolete">Kunde inte ladda tangentbindninginsticksmodulens tema. Se konsol för detaljer.</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Save</source>
         <translation type="obsolete">Spara</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Yes</source>
         <translation type="obsolete">Ja</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>No</source>
         <translation type="obsolete">Nej</translation>
     </message>
@@ -279,17 +279,17 @@
 <context>
     <name>UnsavedMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Unsaved Changes</source>
         <translation type="obsolete">Osparade ändringar</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Exiting...</source>
         <translation type="obsolete">Avslutar...</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Save Changes?</source>
         <translation type="obsolete">Spara ändringar?</translation>
     </message>