Index: mythgallery_sv.ts
===================================================================
--- mythgallery_sv.ts	(revision 18174)
+++ mythgallery_sv.ts	(arbetskopia)
@@ -1,344 +1,318 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS>
 <context>
+    <name>GLSingleView</name>
+    <message>
+        <source>Press SELECT to play again</source>
+        <translation>Tryck SELECT för att spela igen</translation>
+    </message>
+</context>
+<context>
     <name>IconView</name>
     <message>
-        <location filename="" line="81"/>
         <source>Import pictures?</source>
         <translation type="obsolete">Importera bilder?</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>No</source>
         <translation type="obsolete">Nej</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Yes</source>
         <translation type="obsolete">Ja</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Nothing found to import</source>
         <translation type="obsolete">Hittar inget att importera</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="472"/>
         <source>Error</source>
         <translation>Fel</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Sorry: OpenGL support not available</source>
         <translation type="obsolete">OpenGL-stöd inte tillgängligt</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="147"/>
         <source>SlideShow</source>
         <translation>Bildspel</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="727"/>
         <source>Rotate CW</source>
         <translation>Rotera medsols</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="730"/>
         <source>Rotate CCW</source>
         <translation>Rotera motsols</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="770"/>
         <source>Import</source>
         <translation>Importera</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="157"/>
         <source>Settings</source>
         <translation>Inställningar</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="149"/>
         <source>Random</source>
         <translation>Slumpvis</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="779"/>
         <source>Delete</source>
         <translation>Ta bort</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="88"/>
         <source>MythGallery Directory &apos;%1&apos; does not exist or is unreadable.</source>
         <translation>MythGallery-katalog &apos;%1&apos; finns inte eller är oläsbar.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>MythGallery failed to load theme, see console for details.</source>
         <translation type="obsolete">MythGallery kunde inte ladda tema, se konsol för detaljer.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="473"/>
         <source>The selected device is no longer available</source>
         <translation>Vald enhet är inte längre tillgänglig</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="151"/>
         <source>Meta Data...</source>
-        <translation>Metadata...</translation>
+        <translation type="obsolete">Metadata...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="153"/>
         <source>Marking...</source>
-        <translation>Märkning...</translation>
+        <translation type="obsolete">Märkning...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="155"/>
         <source>File...</source>
-        <translation>Fil...</translation>
+        <translation type="obsolete">Fil...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="764"/>
         <source>Return</source>
-        <translation>Återgå</translation>
+        <translation type="obsolete">Återgå</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="747"/>
         <source>Clear Marked</source>
         <translation>Rensa märkning</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="750"/>
         <source>Select All</source>
         <translation>Välj alla</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="767"/>
         <source>Show Devices</source>
         <translation>Visa enheter</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="773"/>
         <source>Copy here</source>
         <translation>Kopiera hit</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="776"/>
         <source>Move here</source>
         <translation>Flytta hit</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="782"/>
         <source>Create Dir</source>
         <translation>Skapa katalog</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="838"/>
         <source>Delete Current File or Folder</source>
         <translation>Ta bort aktuell fil eller katalog</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="840"/>
         <source>Deleting 1 folder, including any subfolders and files.</source>
         <translation>Tar bort 1 katalog, inklusive underkataloger och filer.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="841"/>
         <source>Deleting 1 image.</source>
         <translation>Tar bort 1 bild.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1034"/>
         <source>Delete Marked Files</source>
-        <translation>Ta bort märkta filer</translation>
+        <translation type="obsolete">Ta bort märkta filer</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1036"/>
         <source>Deleting %1 images and folders, including any subfolders and files.</source>
         <translation>Tar bort %1 bilder och kataloger, inklusive underkataloger och filer.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1080"/>
         <source>New Folder</source>
         <translation>Ny katalog</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1084"/>
         <source>Create New Folder</source>
         <translation>Skapa ny katalog</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1191"/>
         <source>Moving marked images...</source>
         <translation>Flyttar märkta bilder...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1191"/>
         <source>Copying marked images...</source>
         <translation>Kopierar märkta bilder...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1108"/>
         <source>Rename</source>
-        <translation type="unfinished"></translation>
+        <translation>Ändra namn</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1119"/>
         <source>Failed to rename directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Misslyckades att ändra namn på katalog</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1121"/>
         <source>Failed to rename file</source>
-        <translation type="unfinished"></translation>
+        <translation>misslyckades att ändra namn på  fil</translation>
     </message>
+    <message>
+        <source>Gallery Options</source>
+        <translation>Gallery inställningar</translation>
+    </message>
+    <message>
+        <source>Meta Data Menu</source>
+        <translation>Metadata meny</translation>
+    </message>
+    <message>
+        <source>Marking Menu</source>
+        <translation>Betygsätta meny</translation>
+    </message>
+    <message>
+        <source>File Menu</source>
+        <translation>Filmeny</translation>
+    </message>
+    <message>
+        <source>Metadata Options</source>
+        <translation>MEtadata inställningar</translation>
+    </message>
+    <message>
+        <source>Marking Options</source>
+        <translation>Betygsättningsinställningar</translation>
+    </message>
+    <message>
+        <source>File Options</source>
+        <translation>Filinställningar</translation>
+    </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="17"/>
         <source>Directory that holds images</source>
         <translation>Katalog som innehåller bilder</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="24"/>
         <source>This directory must exist and MythGallery needs to have read permission.</source>
         <translation>Denna katalog måste finnas och MythGallery måste ha läsrättigheter.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="73"/>
         <source>Paths to import images from</source>
         <translation>Sökvägar att importera bilder från</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="77"/>
         <source>This is a colon separated list of paths. If the path in the list is a directory, its contents will be copied. If it is an executable, it will be run.</source>
         <translation>Detta är en kolonseparerad lista med sökvägar. Om en sökväg i listan är en katalog kommer innehållet att kopieras från den. Om sökvägen pekar på en körbar fil, kommer den att köras.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="127"/>
         <source>Type of transition</source>
         <translation>Typ av övergångseffekt</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="143"/>
         <source>This is the type of transition used between pictures in slideshow mode.</source>
         <translation>Detta är den typ av övergångseffekt som används mellan bilder vid uppspelning av bildspel.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="150"/>
         <source>Type of background</source>
         <translation>Bakgrundstyp</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="156"/>
         <source>This is the type of background for each picture in single view mode.</source>
         <translation>Detta sätter bakgrunden som används för varje bild vid visning av enstaka bilder.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="166"/>
         <source>This is the number of seconds to display each picture.</source>
         <translation>Detta är antalet sekunder som varje bild visas i ett bildspel.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="163"/>
         <source>Slideshow Delay</source>
         <translation>Visningstid vid bildspel</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="86"/>
         <source>Use OpenGL transitions</source>
         <translation>Använd OpenGL-övergångseffekt</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="89"/>
         <source>Check this to enable OpenGL based slideshow transitions</source>
         <translation>Kryssa i för att aktivera OpenGL-övergångseffekter</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="96"/>
         <source>Type of OpenGL transition</source>
         <translation>Typ av OpenGL-övergångseffekt</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="109"/>
         <source>This is the type of OpenGL transition used between pictures in slideshow mode.</source>
         <translation>Detta är den typ av OpenGL-övergångseffekt som används mellan bilder vid uppspelning av bildspel.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Ok</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="53"/>
         <source>Command run to display movie files</source>
         <translation>Kommando för att visa videofiler</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="56"/>
         <source>This command is executed whenever a movie file is selected</source>
         <translation>Detta kommando används för att spela upp videofiler</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="31"/>
         <source>Store thumbnails in image directory</source>
         <translation>Lagra miniatyrbilder i bildkatalogen</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="33"/>
         <source>If set, thumbnails are stored in &apos;.thumbcache&apos; directories within the above directory. If cleared, they are stored in your home directory.</source>
         <translation>Lagrar miniatyrbilder i &apos;.thumbcache&apos;-kataloger inuti ovanstående katalog. Annars lagras de i hemkatalogen.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="173"/>
         <source>Recurse into directories</source>
         <translation>Läs kataloger rekursivt</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="175"/>
         <source>Check this to let the slideshow recurse into sub-directories.</source>
         <translation>Låt bildspelet inkludera underkataloger.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="63"/>
         <source>Overlay caption</source>
         <translation>Överlagra beskrivning</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="66"/>
         <source>This is the number of seconds to show a caption on top of a full size picture.</source>
         <translation>Antal sekunder att visa en beskrivning ovanpå en fullstor bild.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="40"/>
         <source>Sort order when browsing</source>
         <translation>Sorteringsordning vid bläddring</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="46"/>
         <source>This is the sort order for the displayed picture thumbnails.</source>
         <translation>Sorteringsordning för de visade bildminiatyrerna.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="117"/>
         <source>Duration of OpenGL Transition (milliseconds)</source>
         <translation>Längd på OpenGL-övergång (millisekunder)</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="185"/>
         <source>MythGallery Settings (Slideshow)</source>
         <translation>Inställningar för Galleriet (Bildspel)</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="215"/>
         <source>MythGallery Settings (General)</source>
         <translation>Inställningar för Galleriet (Generellt)</translation>
     </message>
 </context>
+<context>
+    <name>SingleView</name>
+    <message>
+        <source>Press SELECT to play again</source>
+        <translation>Tryck SELECT för att spela igen</translation>
+    </message>
+</context>
 </TS>