Index: mythgame_sv.ts
===================================================================
--- mythgame_sv.ts	(revision 18174)
+++ mythgame_sv.ts	(arbetskopia)
@@ -1,27 +1,34 @@
-<!DOCTYPE TS><TS>
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1">
 <context>
     <name>GameTree</name>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="230"/>
         <source>All Games</source>
         <translation>Alla spel</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="214"/>
         <source>Favourites</source>
         <translation>Favoriter</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="245"/>
         <source>-   By Name</source>
         <translation>-   Efter namn</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="240"/>
         <source>-   By Year</source>
         <translation>-   Efter år</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="235"/>
         <source>-   By Genre</source>
         <translation>-   Efter genre</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="388"/>
         <source>Players Available. 
 
  Please pick one.</source>
@@ -30,37 +37,45 @@
 Välj en.</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="250"/>
         <source>-   By Publisher</source>
-        <translation type="unfinished"></translation>
+        <translation>Efter utgivare</translation>
     </message>
 </context>
 <context>
     <name>MythGamePlayerEditor</name>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="290"/>
         <source>Game Player Menu</source>
         <translation>Spelarmeny</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="291"/>
         <source>Edit..</source>
         <translation>Redigera..</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="291"/>
         <source>Delete..</source>
         <translation>Ta bort..</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="316"/>
         <source>Are you sure you want to delete this item?</source>
         <translation>Är du säker på att du vill ta bort denna post?</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="317"/>
         <source>Yes, delete It</source>
         <translation>Ja, ta bort den</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="318"/>
         <source>No, don&apos;t</source>
         <translation>Nej, avbryt</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="250"/>
         <source>Game Players</source>
         <translation>Spelare</translation>
     </message>
@@ -68,196 +83,244 @@
 <context>
     <name>QObject</name>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="30"/>
         <source>Game display order</source>
         <translation>Visningsordning för spel</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="91"/>
         <source>MythGame Settings -- General</source>
         <translation>Inställningar för MythGame -- Generellt</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="439"/>
         <source>Unknown</source>
         <translation>Okänd</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="34"/>
         <source>Order in which to sort the games - this is for all systems. Available choices: system, year, genre and gamename</source>
         <translation>Sorteringsordning för spelen - detta gäller alla system. Tillgängliga val: system, år, genre och spelnamn</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="41"/>
         <source>Favourite display order</source>
         <translation>Sorteringsordning för favoriter</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="46"/>
         <source>Order in which to sort the games marked as favourites - this is for all systems. Available choices: system, year, genre and gamename</source>
         <translation>Sorteringsordning för spel markerade som favoriter - detta gäller alla system. Tillgängliga val: system, år, genre och spelnamn</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="53"/>
         <source>Indepth Game Scan</source>
         <translation>Djupskanning av spel</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="56"/>
         <source>Enabling this causes a game scan to gather crc values and attempt to find out more detailed information about the game: NOTE this can greatly increase the time a gamescan takes based on the amount of games scanned.</source>
         <translation>Beräkna crc-värden och försök hitta mer detaljerar information om spelet: OBS! Detta kan öka tidsåtgången väsentligt om du har många spel.</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="132"/>
         <source>Allow games to span multiple roms/disks</source>
         <translation>Tillåt spel att sträcka sig över flera rom/skivor</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="133"/>
         <source>This setting means that we will look for items like game.1.rom, game.2.rom and consider them a single game.</source>
         <translation>Leta efter spel som game.1.rom, game.2.rom och räkna dem som ett spel.</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="143"/>
         <source>Command</source>
         <translation>Kommando</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="154"/>
         <source>Type</source>
         <translation>Typ</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="160"/>
         <source>Type of Game/Emulator. Mostly for informational purposes and has little effect on the function of your system.</source>
         <translation>Typ av spel/emulator. Mest till för information och har föga effekt på funktionen hos ditt system.</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="170"/>
         <source>Rom Path</source>
         <translation>Rom-sökväg</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="171"/>
         <source>Location of the ROM files for this emulator</source>
         <translation>Plats för ROM-filerna till denna emulator</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="181"/>
         <source>Working Directory</source>
         <translation>Arbetskatalog</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="182"/>
         <source>Directory to change to before launching emulator. Blank is usually fine</source>
         <translation>Katalog att byta till innan emulatorn startas. Tomt är oftast ok</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="192"/>
         <source>File Extensions</source>
         <translation>Filändelser</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="204"/>
         <source>ScreenShots</source>
         <translation>Skärmdumpar</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="205"/>
         <source>Path to any screenshots for this player</source>
         <translation>Sökväg till skärmdumpar för denna spelare</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="215"/>
         <source>Game Player Setup</source>
         <translation>Spelarinställningar</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="265"/>
         <source>(New Game Player)</source>
         <translation>(Ny spelare)</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="21"/>
         <source>OTHER</source>
         <translation>ANNAN</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="26"/>
         <source>MAME</source>
         <translation>MAME</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="28"/>
         <source>NES</source>
         <translation>NES</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="32"/>
         <source>SNES</source>
         <translation>SNES</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="27"/>
         <source>N64</source>
         <translation>N64</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="30"/>
         <source>PCE/TG16</source>
         <translation>PCE/TG16</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="25"/>
         <source>GENESIS/MEGADRIVE</source>
         <translation>GENESIS/MEGADRIVE</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="29"/>
         <source>PC GAME</source>
         <translation>PC-SPEL</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="22"/>
         <source>AMIGA</source>
         <translation>AMIGA</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="23"/>
         <source>ATARI</source>
         <translation>ATARI</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="102"/>
         <source>Player Name</source>
         <translation>Spelarnamn</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="103"/>
         <source>Name of this Game and or Emulator</source>
         <translation>Namn på detta spel och/eller emulator</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="63"/>
         <source>Prompt for removal of deleted rom(s)</source>
         <translation>Bekräfta borttagning av raderad(e) rom(ar)</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="66"/>
         <source>This enables a prompt for removing deleted roms from the database during a  gamescan</source>
         <translation>Fråga innan borttagna rom-ar raderas från databasen under en spelsökning</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="74"/>
         <source>Display Files Names in Game Tree</source>
         <translation>Visa filnamn i spelträdet</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="75"/>
         <source>Enabling this causes the filenames to be displayed in the game tree rather than the trimmed/looked up gamename</source>
         <translation>Visar filnamnen i spelträdet i stället för förkortade/uppslagna spelnamn</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="433"/>
         <source>19xx</source>
         <translation>19xx</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="436"/>
         <source>0</source>
         <translation>0</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="582"/>
         <source>No</source>
         <translation>Nej</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="224"/>
         <source>No to all</source>
         <translation>Nej till alla</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="583"/>
         <source>Yes</source>
         <translation>Ja</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="226"/>
         <source>Yes to all</source>
         <translation>Ja till alla</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="231"/>
         <source>File Missing</source>
         <translation>Fil saknas</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="233"/>
         <source>%1 appears to be missing.
 Remove it from the database?</source>
         <translation>%1 verkar saknas.
 Ta bort den från databasen?</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="587"/>
         <source>Are you sure?</source>
         <translation>Är du säker?</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="590"/>
         <source>This will clear all Game Meta Data
 from the database. Are you sure you
 want to do this?</source>
@@ -266,61 +329,75 @@
 att du vill göra detta?</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="31"/>
         <source>SEGA/MASTER SYSYTEM</source>
         <translation>SEGA/MASTER SYSTEM</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="193"/>
         <source>A Comma seperated list of all file extensions for this emulator. Blank means any file under ROM PATH is considered to be used with this emulator</source>
         <translation>Kommaseparerad lista över alla filändelser som används av denna emulator. Tomt betyder att alla filer under Rom-sökvägen anses användas av denna emulator</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.h" line="24"/>
         <source>GAMEGEAR</source>
         <translation>GAMEGEAR</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="82"/>
         <source>Hash filenames in display</source>
         <translation>Hasha filnamn i vy</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="84"/>
         <source>Enable hashing of names in the display tree. This can make navigating long lists a little faster</source>
         <translation>Hashar filnamn i visningsträdet. Detta kan snabba upp navigering i långa listor något</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamesettings.cpp" line="144"/>
         <source>Binary and optional parameters. Multiple commands seperated with &apos;;&apos; . Use %s for the rom name. %d1, %d2, %d3 and %d4 represent disks in a multidisk/game. %s auto appended if not specified</source>
         <translation>Binära och valfria parametrar. Flera kommando separeras med &apos;;&apos;. Använd %s för rom-namnet. %d1, %d2, %d3 och %d4 representerar skivor i flerskivespel. %s läggs till automatiskt om det inte anges</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="400"/>
         <source>Updating %1(%2) ROM database</source>
-        <translation type="unfinished"></translation>
+        <translation>Uppdaterar %1(%2)ROM databas</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="496"/>
         <source>Verifying %1 files</source>
-        <translation type="unfinished"></translation>
+        <translation>Verifiera %1 filer</translation>
     </message>
     <message>
+        <location filename="../mythgame/gamehandler.cpp" line="687"/>
         <source>Scanning for %1 game(s)...</source>
-        <translation type="unfinished"></translation>
+        <translation>Scanna för %1 spel...</translation>
     </message>
     <message>
+        <location filename="../mythgame/gametree.cpp" line="384"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>Avbryt</translation>
     </message>
 </context>
 <context>
     <name>ThemeUI</name>
     <message>
+        <location filename="themestrings.h" line="2"/>
         <source>System:</source>
         <translation>System:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="3"/>
         <source>Year:</source>
         <translation>År:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="4"/>
         <source>Genre:</source>
         <translation>Genre:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="5"/>
         <source>Favorite:</source>
         <translation>Favorit:</translation>
     </message>